Skip to main content

BatchQueryTaskStatus

Queries the statuses of multiple tasks.

Try it now

Try this API in OpenAPI Explorer, no manual signing needed. Successful calls auto-generate SDK code matching your parameters. Download it with built-in credential security for local usage.

RAM authorization

No authorization for this operation. If you encounter issues with this operation, contact technical support.

Request syntax

POST /{workspaceId}/quanmiao/lightapp/batchQueryTaskStatus HTTP/1.1

Path Parameters

Parameter

Type

Required

Description

Example

workspaceId

string

No

The ID of the Model Studio workspace. For more information, see Get a workspace ID.

llm-xx

Request parameters

Parameter

Type

Required

Description

Example

taskCode

string

Yes

The identifier for the task type.

EssayCorrectionTask

taskIds

array

No

A list of task IDs. You can specify a maximum of 100 IDs.

["xxxx1","xxxx2"]

string

No

A task ID.

xxx

Response elements

Element

Type

Description

Example

object

The response object.

requestId

string

The request ID.

A1B2C3D4-E5F6-7890-GHIJ-KLMNOPQRST

code

string

The error code.

Success

httpStatusCode

integer

The HTTP status code.

200

message

string

The error message returned if the request fails.

Success

success

boolean

Indicates whether the request was successful. A value of true indicates success, and false indicates failure.

true

data

object

The result object.

taskStatusList

array<object>

The list of task statuses.

object

An object that contains the status of a task.

taskId

string

The task ID.

xxxx

status

string

The task status. Valid values: PENDING (awaiting execution), RUNNING (in progress), SUCCEEDED (completed successfully), FAILED (failed), CANCELED (canceled), and NOT_FOUND (not found).

RUNNING

errorMessage

string

The error message. This parameter is returned only if the task status is FAILED.

Error message

Examples

Success response JSON format
{
  "requestId": "A1B2C3D4-E5F6-7890-GHIJ-KLMNOPQRST",
  "code": "Success",
  "httpStatusCode": 200,
  "message": "成功",
  "success": true,
  "data": {
    "taskStatusList": [
      {
        "taskId": "xxxx",
        "status": "RUNNING",
        "errorMessage": "错误信息"
      }
    ]
  }
}

Error codes

HTTP status code

Error code

Error message

Description

403NoPermissionYou are not authorized to perform this action , Please check the assignment of the workspaceId.
See Error Codes for a complete list.

Release notes

See Release Notes for a complete list.